{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        {% block title %}{% endblock title %}
    </title>
    <link href="{% static "css/recipes.css" %}" rel="stylesheet">

</head>
<body>
    <header>
        <nav>
            <a class="heading-link" href="{% url "recipe_list" %}">Main Page</a>

            {% if user.is_authenticated  %}
                <a class="heading-link" href="{% url "create_recipe" %}">Create a recipe</a>
                Hello, {{ user.username }}
                <a class="logout heading-link" href="{% url "user_logout" %}">Logout</a>
            {% else %}
                <a class="heading-link" href="{% url "signup" %}">Sign Up</a>
                <a class="heading-link" href="{% url "user_login" %}">Login</a>
            {% endif %}
        </nav>

    </header>
    <main>
        {%block content%}{%endblock content%}
    </main>
    <footer>Made with love by Scrumptious Recipes</footer>
</body>
</html>
